PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » SysClk (System Clock) » Peripheral Group(MMIO Group) Controls

## General Description

## Functions
cy_en_sysclk_status_t | Cy_SysClk_PeriGroupSetDivider (uint32_t groupNum, uint32_t divider)
| Sets the divider value for a particular group. More...
uint32_t | Cy_SysClk_PeriGroupGetDivider (uint32_t groupNum)
| Gets the divider value for a particular group. More...
cy_en_sysclk_status_t | Cy_SysClk_PeriGroupSetSlaveCtl (uint32_t groupNum, cy_en_peri_grp_sl_ctl_num_t slaveCtl, uint32_t value)
| Sets the particular Slave Control value for a particular group. More...
uint32_t | Cy_SysClk_PeriGroupGetSlaveCtl (uint32_t groupNum, cy_en_peri_grp_sl_ctl_num_t slaveCtl)
| Gets the particular Slave Control value for a particular group. More...
bool | Cy_SysClk_IsPeriGroupSlaveCtlSet (uint32_t groupNum, cy_en_peri_grp_sl_ctl_num_t slaveCtl, uint32_t slaveMsk)
| Gets the mask value of particular slave control register for a particular group. More...
void | Cy_SysClk_PeriGroupSlaveInit (uint32_t periNum, uint32_t groupNum, uint32_t slaveNum, uint32_t clkHfNum)
| Initializes an IP. More...
void | Cy_SysClk_PeriGroupSlaveDeinit (uint32_t periNum, uint32_t groupNum, uint32_t slaveNum)
| Deinitializes an IP. More...
bool | Cy_SysClk_IsPeriGroupSlaveEnabled (uint32_t periNum, uint32_t groupNum, uint32_t slaveNum)
| Checks if a Slave Peripheral is enabled or not. More...

## Function Documentation

## ◆ Cy_SysClk_PeriGroupSetDivider()

cy_en_sysclk_status_t Cy_SysClk_PeriGroupSetDivider | ( | uint32_t | groupNum,
|  | uint32_t | divider
| ) |  |

Sets the divider value for a particular group.

Returns
  cy_en_sysclk_status_t

Parameters

  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be enum en_peri_grp_t

Parameters

  divider | Selects the divider value

Note
  Clock divider functionality is product specific, Refer to TRM before using this API
  This API is Secure Aware. On devices with ARM TrustZone enabled, it is safe to call on a Secure hardware resource from a Non-Secure CPU state. The involved PPC region is PROT_PERIx_GRx_GROUP. See Secure Aware SysCLK for further details.

## ◆ Cy_SysClk_PeriGroupGetDivider()

uint32_t Cy_SysClk_PeriGroupGetDivider | ( | uint32_t | groupNum | ) |

Gets the divider value for a particular group.

Returns
  Divider value

Parameters

  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be enum en_peri_grp_t

## ◆ Cy_SysClk_PeriGroupSetSlaveCtl()

cy_en_sysclk_status_t Cy_SysClk_PeriGroupSetSlaveCtl | ( | uint32_t | groupNum,
|  | cy_en_peri_grp_sl_ctl_num_t | slaveCtl,
|  | uint32_t | value
| ) |  |

Sets the particular Slave Control value for a particular group.

Returns
  cy_en_sysclk_status_t

Parameters

  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be enum en_peri_grp_t

Parameters

  slaveCtl | Selects the Slave Control Register Number
  value | Value to be written

## ◆ Cy_SysClk_PeriGroupGetSlaveCtl()

uint32_t Cy_SysClk_PeriGroupGetSlaveCtl | ( | uint32_t | groupNum,
|  | cy_en_peri_grp_sl_ctl_num_t | slaveCtl
| ) |  |

Gets the particular Slave Control value for a particular group.

Returns
  Slave Control register value for a particular group

Parameters

  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be enum en_peri_grp_t

Parameters

  slaveCtl | Selects the Slave Control Register Number

## ◆ Cy_SysClk_IsPeriGroupSlaveCtlSet()

bool Cy_SysClk_IsPeriGroupSlaveCtlSet | ( | uint32_t | groupNum,
|  | cy_en_peri_grp_sl_ctl_num_t | slaveCtl,
|  | uint32_t | slaveMsk
| ) |  |

Gets the mask value of particular slave control register for a particular group.

Returns
  Divider value

Parameters

  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be enum en_peri_grp_t

Parameters

  slaveCtl | Selects the Slave Control Register Number
  slaveMsk | Selects the bit position(s) that needs to be obtained

## ◆ Cy_SysClk_PeriGroupSlaveInit()

void Cy_SysClk_PeriGroupSlaveInit | ( | uint32_t | periNum,
|  | uint32_t | groupNum,
|  | uint32_t | slaveNum,
|  | uint32_t | clkHfNum
| ) |  |

Initializes an IP.

Parameters

  periNum | Selects the PERI Number
  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be enum en_peri_grp_t

Parameters

  slaveNum | Selects the bit position of the IP that needs to be enabled
  clkHfNum | Selects the CLK_HF number that needs to be enabled for the IP to get enabled.

## ◆ Cy_SysClk_PeriGroupSlaveDeinit()

void Cy_SysClk_PeriGroupSlaveDeinit | ( | uint32_t | periNum,
|  | uint32_t | groupNum,
|  | uint32_t | slaveNum
| ) |  |

Deinitializes an IP.

Parameters

  periNum | Selects the PERI Number
  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be enum en_peri_grp_t

Parameters

  slaveNum | Selects the bit position of the IP that needs to be disabled

## ◆ Cy_SysClk_IsPeriGroupSlaveEnabled()

bool Cy_SysClk_IsPeriGroupSlaveEnabled | ( | uint32_t | periNum,
|  | uint32_t | groupNum,
|  | uint32_t | slaveNum
| ) |  |

Checks if a Slave Peripheral is enabled or not.

Parameters

  periNum | Selects the PERI Number
  groupNum | Selects the PERI Group Number

Note
  Input of groupNum parameter will be en_peri_grp_t

Parameters

  slaveNum | Selects the bit position of the IP that needs to be disabled

Returns
  The divider value. true - if slave is enabled, false - otherwise